Public Member Functions | Protected Attributes | Private Member Functions | List of all members
libzmf::ZMF2Parser Class Reference

`#include <ZMF2Parser.h>`

## Public Member Functions
| ZMF2Parser (const RVNGInputStreamPtr &input, librevenge::RVNGDrawingInterface *painter)
bool | parse ()

## Protected Attributes
const RVNGInputStreamPtr | m_input
librevenge::RVNGDrawingInterface * | m_painter

## Private Member Functions
| ZMF2Parser (const ZMF2Parser &other)=delete
ZMF2Parser & | operator= (const ZMF2Parser &other)=delete

## Constructor & Destructor Documentation

## ◆ ZMF2Parser() [1/2]

libzmf::ZMF2Parser::ZMF2Parser | ( | const ZMF2Parser & | other | ) |
| private delete

## ◆ ZMF2Parser() [2/2]

libzmf::ZMF2Parser::ZMF2Parser | ( | const RVNGInputStreamPtr & | input,
|  | librevenge::RVNGDrawingInterface * | painter
| ) |  |

## Member Function Documentation

## ◆ operator=()

ZMF2Parser & libzmf::ZMF2Parser::operator= | ( | const ZMF2Parser & | other | ) |
| private delete

## ◆ parse()

bool libzmf::ZMF2Parser::parse | ( |  | ) |

## Member Data Documentation

## ◆ m_input

const RVNGInputStreamPtr libzmf::ZMF2Parser::m_input
| protected

## ◆ m_painter

librevenge::RVNGDrawingInterface* libzmf::ZMF2Parser::m_painter
| protected

The documentation for this class was generated from the following files:

- ZMF2Parser.h
- ZMF2Parser.cpp